Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160906 - To force file system integrity check, rc.sysinit should accept 'any key' instead of just 'Y'
Summary: To force file system integrity check, rc.sysinit should accept 'any key' ins...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: initscripts
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-18 10:34 UTC by David Tonhofer
Modified: 2014-03-17 02:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-20 16:44:23 UTC


Attachments (Terms of Use)

Description David Tonhofer 2005-06-18 10:34:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
On boot, rc.sysinit  may  ask you to 

"Press Y within %d seconds to force file system integrity check..."

However, as the keyboard mapping may not yet be correct at that point,
pressing 'Y' often means pressing 'Y', cussing, hunting and pressing 'Z'
at which time the %d seconds may already have passed.

It would be easier on the Sysop's heart rate if the message was

"Press any key within %d seconds to force file system integrity check..."

with any extant key presses flushed from the buffer first of course.





Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
n/a
  

Actual Results:  n/a

Expected Results:  n/a

Additional info:

n/a

Comment 1 Bill Nottingham 2005-06-20 16:44:23 UTC
Loadkeys is already done at that point, so if the keymapping is *still*
incorrect; that implies a different problem; I'm not sure changing the config to
deal with an invalid config is worth it.

Comment 2 David Tonhofer 2005-06-20 17:43:22 UTC
Uh-huh. However, we are talking multi-language environment here:
i.e. we are using three different types of keyboards in the office.
Now, if someone decides to go down to the "server inn" to do a little
intervention and takes his keyboard along, there is bound to be
some confusion.




Note You need to log in before you can comment on or make changes to this bug.